Bug 590529 - [abrt] crash in system-config-printer-1.1.18-2.fc12: Shrug.py:78:on_save_clicked:TypeError: coercing to Unicode: need string or buffer, NoneType found
[abrt] crash in system-config-printer-1.1.18-2.fc12: Shrug.py:78:on_save_clic...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:63e9e83f
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 01:12 EDT by dweb98
Modified: 2010-07-26 22:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.1.19-3.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 22:53:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (600 bytes, text/plain)
2010-05-10 01:12 EDT, dweb98
no flags Details

  None (edit)
Description dweb98 2010-05-10 01:12:49 EDT
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: python /usr/share/system-config-printer/applet.py
comment: Trying to test BRFax Printing - faxing. Not working. Says Printer not found.
component: system-config-printer
executable: /usr/share/system-config-printer/applet.py
kernel: 2.6.32.11-99.fc12.i686
package: system-config-printer-1.1.18-2.fc12
reason: Shrug.py:78:on_save_clicked:TypeError: coercing to Unicode: need string or buffer, NoneType found
release: Fedora release 12 (Constantine)

backtrace
-----
Shrug.py:78:on_save_clicked:TypeError: coercing to Unicode: need string or buffer, NoneType found

Traceback (most recent call last):
  File "/usr/share/system-config-printer/troubleshoot/Shrug.py", line 78, in on_save_clicked
    f = file (dialog.get_filename (), "w")
TypeError: coercing to Unicode: need string or buffer, NoneType found

Local variables in innermost frame:
button: <gtk.Button object at 0x9ea9edc (GtkButton at 0x9edb898)>
response: -5
dialog: <gtk.FileChooserDialog object at 0xb4f4170c (GtkFileChooserDialog at 0xa0d0120)>
self: <troubleshoot.Shrug.Shrug instance at 0x9eae2ac>
Comment 1 dweb98 2010-05-10 01:12:51 EDT
Created attachment 412713 [details]
File: backtrace
Comment 2 Tim Waugh 2010-05-10 08:00:26 EDT
Fixed upstream (b03374f).
Comment 3 Fedora Update System 2010-05-18 10:52:05 EDT
system-config-printer-1.1.19-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc11
Comment 4 Fedora Update System 2010-05-18 10:54:16 EDT
system-config-printer-1.1.19-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc12
Comment 5 Fedora Update System 2010-05-19 15:17:06 EDT
system-config-printer-1.1.19-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc11
Comment 6 Fedora Update System 2010-05-19 15:21:37 EDT
system-config-printer-1.1.19-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc12
Comment 7 dweb98 2010-05-26 23:17:25 EDT
Package: system-config-printer-1.1.18-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


Comment
-----
Trying to test BRFax Printing - faxing. Not working. No error meseges and not bringing up BRFax Dialing App.
Comment 8 Tim Waugh 2010-05-27 05:37:50 EDT
For anyone experiencing this particular bug: save the troubleshoot.txt file to a file on the local machine instead of to a network (gvfs) location.
Comment 9 Fedora Update System 2010-06-29 11:31:25 EDT
system-config-printer-1.1.19-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-3.fc12
Comment 10 Fedora Update System 2010-07-26 22:52:07 EDT
system-config-printer-1.1.19-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.